Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.event
Interface GraphModelEvent.GraphViewChange

All Known Subinterfaces:
  GraphModelEvent.GraphModelChange

All Known Implementing Classes:
  DefaultGraphModel.GraphModelEdit, DefaultGraphModel.GraphModelLayerEdit, GraphLayoutCache.GraphViewEdit, GraphLayoutCache.GraphViewLayerEdit

Enclosing interface:
  GraphModelEvent

public static interface GraphModelEvent.GraphViewChange

Defines the interface for objects that may be used to represent a change to the view.

Method Summary
`Map` | `getAttributes()` Returns a map that contains (object, map) pairs which holds the new attributes for each changed cell.
`Object[]` | `getChanged()` Returns the objects that have changed.
`Object[]` | `getContext()` Returns the objects that have not changed explicitly, but implicitly because one of their dependent cells has changed.
`Object` | `getSource()` Returns the source of this change.

Method Detail

### getSource

    public Object getSource()

  Returns the source of this change. This can either be a view or a model, if this change is a GraphModelChange.

### getChanged

    public Object[] getChanged()

  Returns the objects that have changed.

### getAttributes

    public Map getAttributes()

  Returns a map that contains (object, map) pairs which holds the new attributes for each changed cell. Note: This returns a map of (cell, map) pairs for an insert on a model that is not an attribute store. Use getStoredAttributeMap to access the attributes that have been stored in the model.

### getContext

    public Object[] getContext()

  Returns the objects that have not changed explicitly, but implicitly because one of their dependent cells has changed. This is typically used to return the edges that are attached to vertices, which in turn have been resized or moved.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2003-2004 Gaudenz Alder. All rights reserved.